Main Page Namespaces Book

# Pango::Analysis Class Reference

List of all members.

## Detailed Description

A Pango::Analysis stores information about the properties of a segment of text.

Pango::Analysis is used as an output type only so there is no public default constructor. You can retrieve an object of this type from an object of type Pango::Item by calling Pango::Item::get_analysis(). Objects of this class can be used for some calculations in Pango::GlyphString.

## Public Member Functions

| Analysis (const PangoAnalysis* src)
SListHandle_Attribute | get_extra_attrs () const
| Gets a list of non-font attributes for this segment.
Glib::RefPtr<const Font> | get_font () const
Glib::RefPtr<Font> | get_font ()
| Gets the font used to render this segment.
Language | get_language () const
| Gets the language of this segment.
guint8 | get_level () const
| Gets the bidrectional level for this segment.
const PangoAnalysis* | gobj () const
| Provides access to the underlying C GObject.
PangoAnalysis* | gobj ()
| Provides access to the underlying C GObject.

## Protected Member Functions

| Analysis ()

## Protected Attributes

PangoAnalysis | gobject_

## Related Functions

(Note that these are not member functions.)
const Pango::Analysis& | wrap (const PangoAnalysis* object)
Pango::Analysis& | wrap (PangoAnalysis* object)

## Constructor & Destructor Documentation

Pango::Analysis::Analysis | ( |  | ) | `[protected]`

Pango::Analysis::Analysis | ( | const PangoAnalysis * | src | ) | `[explicit]`

## Member Function Documentation

SListHandle_Attribute Pango::Analysis::get_extra_attrs | ( |  | ) | const

Gets a list of non-font attributes for this segment.

Returns:
  A list of non-font attributes for this segment.

Glib::RefPtr<const Font> Pango::Analysis::get_font | ( |  | ) | const

Glib::RefPtr<Font> Pango::Analysis::get_font | ( |  | ) |

Gets the font used to render this segment.

Returns:
  The font used to render this segment.

Language Pango::Analysis::get_language | ( |  | ) | const

Gets the language of this segment.

Returns:
  The language of this segment.

guint8 Pango::Analysis::get_level | ( |  | ) | const

Gets the bidrectional level for this segment.

Returns:
  The bidirectional level for this segment.

const PangoAnalysis* Pango::Analysis::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

References gobject_.

PangoAnalysis* Pango::Analysis::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

References gobject_.

## Friends And Related Function Documentation

const Pango::Analysis& wrap | ( | const PangoAnalysis * | object | ) | `[related]`

Pango::Analysis& wrap | ( | PangoAnalysis * | object | ) | `[related]`

## Member Data Documentation

PangoAnalysis Pango::Analysis::gobject_`[protected]`

Referenced by gobj().

The documentation for this class was generated from the following file:

- item.h